---
meta:
  title: Sizing
  description: Modify the dimension of block level elements using one of the Vuetify sizing utility classes.
  keywords: css height, css width, sizing elements, element dimensions
related:
  - /styles/content/
  - /styles/contenttext-and-typography/
---

# Sizing

Sizing utility classes are used to modify the dimensions of an element.

<entry />

## Height

Specify the `height` property of **block level elements** with a utility class. The following classes are applied using the format `.{prefix}-{size}` ; where _prefix_ is **h** and _size_ is the value.

| Class        | Description     |
| ------------ | --------------- |
| **h-auto**   | `height: auto`  |
| **h-screen** | `height: 100vh` |
| **h-0**      | `height: 0`     |
| **h-25**     | `height: 25%`   |
| **h-50**     | `height: 50%`   |
| **h-75**     | `height: 75%`   |
| **h-100**    | `height: 100%`  |

<example file="sizing/height" />

## Width

Specify the `width` property of **block level elements** with a utility class. The following classes are applied using the format `.{prefix}-{size}` ; where _prefix_ is **w** and _size_ is the value.

| Class        | Description     |
| ------------ | --------------- |
| **w-auto**   | `width: auto`  |
| **w-0**      | `width: 0`     |
| **w-25**     | `width: 25%`   |
| **w-50**     | `width: 50%`   |
| **w-75**     | `width: 75%`   |
| **w-100**    | `width: 100%`  |

<example file="sizing/width" />
